Passa al contenuto principale

ServerCanActionResponse

Successful response with one ServerCanAction

errorintegerrequired

Always 0 in a successful response

Constant value: 0
messagestring | nullnullablerequired

Always null in a successful response

data objectrequired

Resource returned by the operation

server_idintegerrequired

Id of the server (GET /api/v3/servers/{server_id})

can_actionbooleanrequired

Whether the power action can start now with POST /api/v3/servers/{server_id}/power-actions

metarequired

Always null: only the paginated lists have a meta

Constant value: null
ServerCanActionResponse
{
"error": 0,
"message": "string",
"data": {
"server_id": 0,
"can_action": true
}
}